//
// This file was generated by the JavaTM Architecture for XML Binding(JAXB) Reference Implementation, v2.2.4-2 
// See <a href="http://java.sun.com/xml/jaxb">http://java.sun.com/xml/jaxb</a> 
// Any modifications to this file will be lost upon recompilation of the source schema. 
// Generated on: 2015.06.09 at 11:11:31 AM CEST 
//


package net.ihe.gazelle.tempmodel.org.decor.art.model;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the org.decor.art.model package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private static final QName DefineVariableUse_QNAME = new QName("", "use");
    private static final QName DefineVariableCode_QNAME = new QName("", "code");
    private static final QName IssueAssignmentDesc_QNAME = new QName("", "desc");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: org.decor.art.model
     * 
     */
    public ObjectFactory() {
    	// object factory constructor
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.tempmodel.org.decor.art.model.ValueSet }
     * 
     */
    public net.ihe.gazelle.tempmodel.org.decor.art.model.ValueSet createValueSet() {
        return new net.ihe.gazelle.tempmodel.org.decor.art.model.ValueSet();
    }

    /**
     * Create an instance of {@link DataSetConcept }
     * 
     */
    public DataSetConcept createDataSetConcept() {
        return new DataSetConcept();
    }

    /**
     * Create an instance of {@link Transaction }
     * 
     */
    public Transaction createTransaction() {
        return new Transaction();
    }

    /**
     * Create an instance of {@link BusinessNameWithLanguage }
     * 
     */
    public BusinessNameWithLanguage createBusinessNameWithLanguage() {
        return new BusinessNameWithLanguage();
    }

    /**
     * Create an instance of {@link FreeFormMarkupWithLanguage }
     * 
     */
    public FreeFormMarkupWithLanguage createFreeFormMarkupWithLanguage() {
        return new FreeFormMarkupWithLanguage();
    }

    /**
     * Create an instance of {@link TransactionTrigger }
     * 
     */
    public TransactionTrigger createTransactionTrigger() {
        return new TransactionTrigger();
    }

    /**
     * Create an instance of {@link ActorsReference }
     * 
     */
    public ActorsReference createActorsReference() {
        return new ActorsReference();
    }

    /**
     * Create an instance of {@link RepresentingTemplate }
     * 
     */
    public RepresentingTemplate createRepresentingTemplate() {
        return new RepresentingTemplate();
    }

    /**
     * Create an instance of {@link ScenarioTemplateConcept }
     * 
     */
    public ScenarioTemplateConcept createScenarioTemplateConcept() {
        return new ScenarioTemplateConcept();
    }

    /**
     * Create an instance of {@link Datasets }
     * 
     */
    public Datasets createDatasets() {
        return new Datasets();
    }

    /**
     * Create an instance of {@link Dataset }
     * 
     */
    public Dataset createDataset() {
        return new Dataset();
    }

    /**
     * Create an instance of {@link ArbitraryPropertyType }
     * 
     */
    public ArbitraryPropertyType createArbitraryPropertyType() {
        return new ArbitraryPropertyType();
    }

    /**
     * Create an instance of {@link ObjectRelationships }
     * 
     */
    public ObjectRelationships createObjectRelationships() {
        return new ObjectRelationships();
    }

    /**
     * Create an instance of {@link Issue }
     * 
     */
    public Issue createIssue() {
        return new Issue();
    }

    /**
     * Create an instance of {@link IssueObject }
     * 
     */
    public IssueObject createIssueObject() {
        return new IssueObject();
    }

    /**
     * Create an instance of {@link IssueTracking }
     * 
     */
    public IssueTracking createIssueTracking() {
        return new IssueTracking();
    }

    /**
     * Create an instance of {@link IssueAssignment }
     * 
     */
    public IssueAssignment createIssueAssignment() {
        return new IssueAssignment();
    }

    /**
     * Create an instance of {@link Designation }
     * 
     */
    public Designation createDesignation() {
        return new Designation();
    }

    /**
     * Create an instance of {@link VariousMixedContent }
     * 
     */
    public VariousMixedContent createVariousMixedContent() {
        return new VariousMixedContent();
    }

    /**
     * Create an instance of {@link Attribute }
     * 
     */
    public Attribute createAttribute() {
        return new Attribute();
    }

    /**
     * Create an instance of {@link Item }
     * 
     */
    public Item createItem() {
        return new Item();
    }

    /**
     * Create an instance of {@link Vocabulary }
     * 
     */
    public Vocabulary createVocabulary() {
        return new Vocabulary();
    }

    /**
     * Create an instance of {@link DefaultBaseId }
     * 
     */
    public DefaultBaseId createDefaultBaseId() {
        return new DefaultBaseId();
    }

    /**
     * Create an instance of {@link Instances }
     * 
     */
    public Instances createInstances() {
        return new Instances();
    }

    /**
     * Create an instance of {@link Contact }
     * 
     */
    public Contact createContact() {
        return new Contact();
    }

    /**
     * Create an instance of {@link Scenarios }
     * 
     */
    public Scenarios createScenarios() {
        return new Scenarios();
    }

    /**
     * Create an instance of {@link ActorsDefinition }
     * 
     */
    public ActorsDefinition createActorsDefinition() {
        return new ActorsDefinition();
    }

    /**
     * Create an instance of {@link Scenario }
     * 
     */
    public Scenario createScenario() {
        return new Scenario();
    }

    /**
     * Create an instance of {@link TerminologyAssociation }
     * 
     */
    public TerminologyAssociation createTerminologyAssociation() {
        return new TerminologyAssociation();
    }

    /**
     * Create an instance of {@link RestURI }
     * 
     */
    public RestURI createRestURI() {
        return new RestURI();
    }

    /**
     * Create an instance of {@link Decor }
     * 
     */
    public Decor createDecor() {
        return new Decor();
    }

    /**
     * Create an instance of {@link Project }
     * 
     */
    public Project createProject() {
        return new Project();
    }

    /**
     * Create an instance of {@link Copyright }
     * 
     */
    public Copyright createCopyright() {
        return new Copyright();
    }

    /**
     * Create an instance of {@link AddrLine }
     * 
     */
    public AddrLine createAddrLine() {
        return new AddrLine();
    }

    /**
     * Create an instance of {@link Author }
     * 
     */
    public Author createAuthor() {
        return new Author();
    }

    /**
     * Create an instance of {@link Reference }
     * 
     */
    public Reference createReference() {
        return new Reference();
    }

    /**
     * Create an instance of {@link DefaultElementNamespace }
     * 
     */
    public DefaultElementNamespace createDefaultElementNamespace() {
        return new DefaultElementNamespace();
    }

    /**
     * Create an instance of {@link BuildingBlockRepository }
     * 
     */
    public BuildingBlockRepository createBuildingBlockRepository() {
        return new BuildingBlockRepository();
    }

    /**
     * Create an instance of {@link ProjectHistory }
     * 
     */
    public ProjectHistory createProjectHistory() {
        return new ProjectHistory();
    }

    /**
     * Create an instance of {@link ProjectRelease }
     * 
     */
    public ProjectRelease createProjectRelease() {
        return new ProjectRelease();
    }

    /**
     * Create an instance of {@link Ids }
     * 
     */
    public Ids createIds() {
        return new Ids();
    }

    /**
     * Create an instance of {@link BaseId }
     * 
     */
    public BaseId createBaseId() {
        return new BaseId();
    }

    /**
     * Create an instance of {@link Id }
     * 
     */
    public Id createId() {
        return new Id();
    }

    /**
     * Create an instance of {@link IdentifierAssociation }
     * 
     */
    public IdentifierAssociation createIdentifierAssociation() {
        return new IdentifierAssociation();
    }

    /**
     * Create an instance of {@link Terminology }
     * 
     */
    public Terminology createTerminology() {
        return new Terminology();
    }

    /**
     * Create an instance of {@link CodeSystem }
     * 
     */
    public CodeSystem createCodeSystem() {
        return new CodeSystem();
    }

    /**
     * Create an instance of {@link CodeSystemConceptList }
     * 
     */
    public CodeSystemConceptList createCodeSystemConceptList() {
        return new CodeSystemConceptList();
    }

    /**
     * Create an instance of {@link net.ihe.gazelle.tempmodel.org.decor.art.model.ValueSet.SourceCodeSystem }
     * 
     */
    public net.ihe.gazelle.tempmodel.org.decor.art.model.ValueSet.SourceCodeSystem createValueSetSourceCodeSystem() {
        return new net.ihe.gazelle.tempmodel.org.decor.art.model.ValueSet.SourceCodeSystem();
    }

    /**
     * Create an instance of {@link AuthorityType }
     * 
     */
    public AuthorityType createAuthorityType() {
        return new AuthorityType();
    }

    /**
     * Create an instance of {@link ObjectHistory }
     * 
     */
    public ObjectHistory createObjectHistory() {
        return new ObjectHistory();
    }

    /**
     * Create an instance of {@link CodeSystemReference }
     * 
     */
    public CodeSystemReference createCodeSystemReference() {
        return new CodeSystemReference();
    }

    /**
     * Create an instance of {@link ValueSetConceptList }
     * 
     */
    public ValueSetConceptList createValueSetConceptList() {
        return new ValueSetConceptList();
    }

    /**
     * Create an instance of {@link Rules }
     * 
     */
    public Rules createRules() {
        return new Rules();
    }

    /**
     * Create an instance of {@link TemplateAssociationDefinition }
     * 
     */
    public TemplateAssociationDefinition createTemplateAssociationDefinition() {
        return new TemplateAssociationDefinition();
    }

    /**
     * Create an instance of {@link TemplateDefinition }
     * 
     */
    public TemplateDefinition createTemplateDefinition() {
        return new TemplateDefinition();
    }

    /**
     * Create an instance of {@link Issues }
     * 
     */
    public Issues createIssues() {
        return new Issues();
    }

    /**
     * Create an instance of {@link Labels }
     * 
     */
    public Labels createLabels() {
        return new Labels();
    }

    /**
     * Create an instance of {@link IssueLabelDefinition }
     * 
     */
    public IssueLabelDefinition createIssueLabelDefinition() {
        return new IssueLabelDefinition();
    }

    /**
     * Create an instance of {@link CodedConcept }
     * 
     */
    public CodedConcept createCodedConcept() {
        return new CodedConcept();
    }

    /**
     * Create an instance of {@link Report }
     * 
     */
    public Report createReport() {
        return new Report();
    }

    /**
     * Create an instance of {@link Let }
     * 
     */
    public Let createLet() {
        return new Let();
    }

    /**
     * Create an instance of {@link DefineVariable }
     * 
     */
    public DefineVariable createDefineVariable() {
        return new DefineVariable();
    }

    /**
     * Create an instance of {@link VarCode }
     * 
     */
    public VarCode createVarCode() {
        return new VarCode();
    }

    /**
     * Create an instance of {@link VarUse }
     * 
     */
    public VarUse createVarUse() {
        return new VarUse();
    }

    /**
     * Create an instance of {@link Property }
     * 
     */
    public Property createProperty() {
        return new Property();
    }

    /**
     * Create an instance of {@link TemplateId }
     * 
     */
    public TemplateId createTemplateId() {
        return new TemplateId();
    }

    /**
     * Create an instance of {@link Context }
     * 
     */
    public Context createContext() {
        return new Context();
    }

    /**
     * Create an instance of {@link Assert }
     * 
     */
    public Assert createAssert() {
        return new Assert();
    }

    /**
     * Create an instance of {@link Pathname }
     * 
     */
    public Pathname createPathname() {
        return new Pathname();
    }

    /**
     * Create an instance of {@link Example }
     * 
     */
    public Example createExample() {
        return new Example();
    }

    /**
     * Create an instance of {@link Cardinality }
     * 
     */
    public Cardinality createCardinality() {
        return new Cardinality();
    }

    /**
     * Create an instance of {@link DataSetConceptListConcept }
     * 
     */
    public DataSetConceptListConcept createDataSetConceptListConcept() {
        return new DataSetConceptListConcept();
    }

    /**
     * Create an instance of {@link DataSetConceptList }
     * 
     */
    public DataSetConceptList createDataSetConceptList() {
        return new DataSetConceptList();
    }

    /**
     * Create an instance of {@link ValueSetConcept }
     * 
     */
    public ValueSetConcept createValueSetConcept() {
        return new ValueSetConcept();
    }

    /**
     * Create an instance of {@link ChoiceDefinition }
     * 
     */
    public ChoiceDefinition createChoiceDefinition() {
        return new ChoiceDefinition();
    }

    /**
     * Create an instance of {@link DataSetConceptHistory }
     * 
     */
    public DataSetConceptHistory createDataSetConceptHistory() {
        return new DataSetConceptHistory();
    }

    /**
     * Create an instance of {@link InheritDefinition }
     * 
     */
    public InheritDefinition createInheritDefinition() {
        return new InheritDefinition();
    }

    /**
     * Create an instance of {@link TemplateAssociationConcept }
     * 
     */
    public TemplateAssociationConcept createTemplateAssociationConcept() {
        return new TemplateAssociationConcept();
    }

    /**
     * Create an instance of {@link ActorDefinition }
     * 
     */
    public ActorDefinition createActorDefinition() {
        return new ActorDefinition();
    }

    /**
     * Create an instance of {@link ScenarioTemplateCondition }
     * 
     */
    public ScenarioTemplateCondition createScenarioTemplateCondition() {
        return new ScenarioTemplateCondition();
    }

    /**
     * Create an instance of {@link RuleDefinition }
     * 
     */
    public RuleDefinition createRuleDefinition() {
        return new RuleDefinition();
    }

    /**
     * Create an instance of {@link ValueSetRef }
     * 
     */
    public ValueSetRef createValueSetRef() {
        return new ValueSetRef();
    }

    /**
     * Create an instance of {@link DataSetConceptValue }
     * 
     */
    public DataSetConceptValue createDataSetConceptValue() {
        return new DataSetConceptValue();
    }

    /**
     * Create an instance of {@link TemplateRelationships }
     * 
     */
    public TemplateRelationships createTemplateRelationships() {
        return new TemplateRelationships();
    }

    /**
     * Create an instance of {@link IncludeDefinition }
     * 
     */
    public IncludeDefinition createIncludeDefinition() {
        return new IncludeDefinition();
    }

    /**
     * Create an instance of {@link TemplateProperties }
     * 
     */
    public TemplateProperties createTemplateProperties() {
        return new TemplateProperties();
    }

    /**
     * Create an instance of {@link DataSetValueProperty }
     * 
     */
    public DataSetValueProperty createDataSetValueProperty() {
        return new DataSetValueProperty();
    }

    /**
     * Create an instance of {@link ActorReference }
     * 
     */
    public ActorReference createActorReference() {
        return new ActorReference();
    }

    /**
     * Create an instance of {@link DataSetConcept.Implementation }
     * 
     */
    public DataSetConcept.Implementation createDataSetConceptImplementation() {
        return new DataSetConcept.Implementation();
    }

    /**
     * Create an instance of {@link DataSetConcept.ValueSet }
     * 
     */
    public DataSetConcept.ValueSet createDataSetConceptValueSet() {
        return new DataSetConcept.ValueSet();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VarUse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "use", scope = DefineVariable.class)
    public JAXBElement<VarUse> createDefineVariableUse(VarUse value) {
        return new JAXBElement<>(DefineVariableUse_QNAME, VarUse.class, DefineVariable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link VarCode }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "code", scope = DefineVariable.class)
    public JAXBElement<VarCode> createDefineVariableCode(VarCode value) {
        return new JAXBElement<>(DefineVariableCode_QNAME, VarCode.class, DefineVariable.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link FreeFormMarkupWithLanguage }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "", name = "desc", scope = IssueAssignment.class)
    public JAXBElement<FreeFormMarkupWithLanguage> createIssueAssignmentDesc(FreeFormMarkupWithLanguage value) {
        return new JAXBElement<>(IssueAssignmentDesc_QNAME, FreeFormMarkupWithLanguage.class, IssueAssignment.class, value);
    }

}
